Get Wallets
curl --request GET \
--url https://api.copper.co/platform/walletsimport requests
url = "https://api.copper.co/platform/wallets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.copper.co/platform/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wallets": [
{
"currency": "<string>",
"portfolioId": "<string>",
"walletId": "<string>",
"available": "<string>",
"balance": "<string>",
"createdAt": "<string>",
"extra": {
"externalAccountId": "<string>"
},
"locked": "<string>",
"mainCurrency": "<string>",
"organizationId": "<string>",
"portfolioType": "custody",
"reserve": "<string>",
"stakeBalance": "<string>",
"totalBalance": "<string>",
"updatedAt": "<string>"
}
]
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}wallets
Get Wallets
When you perform a request without specifying any additional filters like portfolioId or currency, the method returns all wallets which have non-zero balances only.
GET
/
wallets
Get Wallets
Query Parameters
Filter by portfolio id
Filter wallets by currency
Filter wallets by main currency
Filter wallets by portfolio types. See details
Available options:
custody, trading-vault, trading, external, clearloop Exclude wallets by portfolio types. See details
Available options:
custody, trading-vault, trading, external, clearloop Filter only wallets with non-zero balance
Limit for pagination
Offset for pagination
Response
OK
List of wallets
Show child attributes
Show child attributes
Was this page helpful?